---
title: Challenge solutions
slug: Web/Guide/CSS/Getting_started/Challenge_solutions
tags:
  - Beginner
  - NeedsUpdate
---
<p>This page provides solutions to the challenges posed in the <a href="/en/CSS/Getting_Started" title="en/CSS/Getting Started">CSS Getting Started</a> tutorial. These are not the only possible solutions. The sections below correspond to the titles of the tutorial sections.</p>

<h2 id="Why_use_CSS"><a href="/en/CSS/Getting_Started/Why_use_CSS" id="Why_use_CSS_Colors" title="MDC">Why use CSS</a></h2>

<h3 id="Colors">Colors</h3>

<dl>
 <dt>Challenge</dt>
</dl>

<dl>
 <dd>Without looking up a reference, find five more color names that work in your stylesheet.</dd>
 <dt>Solution</dt>
 <dd>CSS supports common color names like <code>orange</code>, <code>yellow</code>, <code>blue</code>, <code>green</code>, or <code>black</code>. It also supports some more exotic color names like <code>chartreuse</code>, <code>fuschia</code>, or <code>burlywood</code>. See <a href="/en/CSS/color_value" title="en/CSS/color value">CSS Color value</a> for a complete list as well as other ways of specifying colors.</dd>
</dl>

<h2 id="How_CSS_works"><a href="/en/CSS/Getting_Started/How_CSS_works" id="How_CSS_works_DOM_inspector" title="MDC">How CSS works</a></h2>

<h3 id="DOM_inspector">DOM inspector</h3>

<dl>
 <dt>Challenge</dt>
 <dd>In DOMi, click on a <small>STRONG</small> node. Use DOMi's right-hand pane to find out where the node's color is set to red, and where its appearance is made bolder than normal text.</dd>
 <dt>Solution</dt>
 <dd>In the menu above the right-hand pane, choose <strong>CSS Rules</strong>.  You see two items listed, one that references an internal resource and one that references your stylesheet file. The internal resource defines the <strong>font-weight</strong> property as <code>bolder</code>; your stylesheet defines the <strong>color</strong> property as <code>red</code>.</dd>
</dl>

<h2 id="Cascading_and_inheritance"><a href="/en/CSS/Getting_Started/Cascading_and_inheritance" title="MDC">Cascading and inheritance</a></h2>

<h3 id="Inherited_styles">Inherited styles</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Change your stylesheet so that only the red letters are underlined.</dd>
 <dt>Solution</dt>
 <dd>Move the declaration for underlining from the rule for {{ HTMLElement("p") }} to the one for {{ HTMLElement("strong") }}. The resulting file looks like this:
 <pre class="brush: css">p {color: blue; }
strong {color: orange; text-decoration: underline;}
</pre>
 </dd>
</dl>

<p>Later sections of this tutorial describe style rules and declarations in greater detail.</p>

<h2 id="Selectors"><a href="/en/CSS/Getting_Started/Selectors" title="MDC">Selectors</a></h2>

<h3 id="Second_paragraph_blue">Second paragraph blue</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Without changing your HTML file, add a single rule to your CSS file that keeps all the initial letters the same color as they are now, but makes all the other text in the second paragraph blue.</dd>
 <dt>Solution</dt>
 <dd>Add a rule with an ID selector of <code>#second</code> and a declaration <code>color: blue;</code>, as shown below:
 <pre class="brush: css">#second { color: blue; }
</pre>
 A more specific selector, <code>p#second</code> also works.</dd>
</dl>

<h3 id="Both_paragraphs_blue">Both paragraphs blue</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Now change the rule you have just added (without changing anything else), to make the first paragraph blue too.</dd>
 <dt>Solution</dt>
 <dd>Change the selector of the new rule to be a tag selector using <code>p</code>:
 <pre class="brush: css">p { color: blue; }
</pre>
 </dd>
</dl>

<p>The rules for the other colors all have more specific selectors, so they override the blue of the paragraph.</p>

<h2 id="Readable_CSS"><a href="/" title="MDC">Readable CSS</a></h2>

<h3 id="Commenting_out_a_rule">Commenting out a rule</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Comment out part of your stylesheet, without changing anything else, to make the very first letter of your document red.</dd>
 <dt>Solution</dt>
 <dd>One way to do this is to put comment delimiters around the rule for <code>.carrot</code>:
 <pre class="brush: css">/*
.carrot {
  color: orange;
}
*/
</pre>
 </dd>
</dl>

<h2 id="Text_styles"><a href="/" title="MDC">Text styles</a></h2>

<h3 id="Big_initial_letters">Big initial letters</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Without changing anything else, make all six initial letters twice the size in the browser's default serif font.</dd>
 <dt>Solution</dt>
 <dd>Add the following style declaration to the <code>strong</code> rule:
 <pre class="brush: css">  font: 200% serif;
</pre>
 If you use separate declarations for <code>font-size</code> and <code>font-family</code>, then the <code>font-style</code> setting on the first paragraph is <em>not</em> overridden.</dd>
</dl>

<h2 id="Color"><a href="/" title="MDC">Color</a></h2>

<h3 id="Three-digit_color_codes">Three-digit color codes</h3>

<dl>
 <dt>Challenge</dt>
 <dd>In your CSS file, change all the color names to 3-digit color codes without affecting the result.</dd>
 <dt>Solution</dt>
 <dd>The following values are reasonable approximations of the named colors:
 <pre class="brush: css">strong {
  color: #f00; /* red */
  background-color: #ddf; /* pale blue */
  font: 200% serif;
}

.carrot {
  color: #fa0; /* orange */
}

.spinach {
  color: #080; /* dark green */
}

p {
  color: #00f; /* blue */
}
</pre>
 </dd>
</dl>

<h2 id="Content"><a href="/" title="MDC">Content</a></h2>

<h3 id="Add_an_image">Add an image</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Add a one rule to your stylesheet so that it displays the image at the start of each line.</dd>
 <dt>Solution</dt>
 <dd>Add this rule to your stylesheet:
 <pre class="brush: css">p:before{
  content: url("yellow-pin.png");
}
</pre>
 </dd>
</dl>

<h2 id="Lists"><a href="/en/CSS/Getting_Started/Lists" title="MDC">Lists</a></h2>

<h3 id="Lower_Roman_numerals">Lower Roman numerals</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Add a rule to your stylesheet, to number the oceans using Roman numerals from i to v.</dd>
 <dt>Solution</dt>
 <dd>Define a rule for list items to use the <code>lower-roman</code> list style:
 <pre class="brush: css">li {
  list-style: lower-roman;
}
</pre>
 </dd>
</dl>

<h3 id="Capital_letters">Capital letters</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Change your stylesheet to identify the headings with capital letters in parentheses.</dd>
 <dt>Solution</dt>
 <dd>Add a rule to the body element (parent of the headings) to reset a new counter, and one to display and increment the counter on the headings:
 <pre class="brush: css">/* numbered headings */
body {counter-reset: headnum;}
h3:before {
  content: "(" counter(headnum, upper-latin) ") ";
  counter-increment: headnum;
}

</pre>
 </dd>
</dl>

<h2 id="Boxes"><a href="/en/CSS/Getting_Started/Boxes" title="MDC">Boxes</a></h2>

<h3 id="Ocean_border">Ocean border</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Add one rule to your stylesheet, making a wide border all around the oceans in a color that reminds you of the sea.</dd>
 <dt>Solution</dt>
 <dd>The following rule achieves this effect:
 <pre class="brush: css">ul {
  border: 10px solid lightblue;
  width:  100px;
}

</pre>
 </dd>
</dl>

<h2 id="Layout"><a href="/en/CSS/Getting_Started/Layout" title="MDC">Layout</a></h2>

<h3 id="Default_image_position">Default image position</h3>

<h3 id="Fixed_image_position">Fixed image position</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Change your sample document, <code>doc2.html</code>, adding this tag to it near the end, just before <code>&lt;/BODY&gt;</code>: <code> &lt;IMG id="fixed-pin" src="Yellow-pin.png" alt="Yellow map pin"&gt;</code> Predict where the image will appear in your document. Then refresh your browser to see if you were correct.</dd>
 <dt>Solution</dt>
 <dd>The image appears to the right of the second list.<br>
 <img alt="pin_placement.png" class="default internal" src="/@api/deki/files/4718/=pin_placement.png"></dd>
 <dt>Challenge</dt>
 <dd>Add a rule to your stylesheet that places the image in the top right of your document.</dd>
 <dt>Solution</dt>
 <dd>The following rule achieves the desired result:
 <pre>#fixed-pin  {
  position:fixed;
  top: 3px;
  right: 3px;
} </pre>
 </dd>
</dl>

<h2 id="Tables"><a href="/en/CSS/Getting_Started/Tables" title="en/CSS/Getting_Started/Tables">Tables</a></h2>

<h3 id="Borders_on_data_cells_only">Borders on data cells only</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Change the stylesheet to make the table have a green border around only the data cells.</dd>
 <dt>Solution</dt>
 <dd>The following rule puts borders around only {{ HTMLElement("td") }} elements that are inside the {{ HTMLElement("tbody") }} element of the table with <code>id=demo-table</code>:
 <pre>#demo-table tbody td {
  border:1px solid #7a7;
}
</pre>
 </dd>
</dl>

<h2 id="Media"><a href="/en/CSS/Getting_Started/Media" title="MDC">Media</a></h2>

<h3 id="Separate_print_style_file">Separate print style file</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Move the print-specific style rules to a separate CSS file and import them into your <code>style4.css</code> stylesheet.</dd>
 <dt>Solution</dt>
 <dd>Cut and paste the lines between <code>/* print only */</code> and <code>/* end print only */</code> into a file named <code>style4_print.css</code>. In style4.css, add the following line at the beginning of the file:
 <pre>@import url("style4_print.css") print;
</pre>
 </dd>
</dl>

<h3 id="Heading_hover_color">Heading hover color</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Make the headings turn blue when the mouse pointer is over them.</dd>
 <dt>Solution</dt>
 <dd>The following rule achieves the desired result:
 <pre>h1:hover {
  color: blue;
}
</pre>
 </dd>
</dl>

<h2 id="JavaScript">JavaScript</h2>

<h3 id="Move_box_to_the_right">Move box to the right</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Change the script so that the square jumps to the right by 20 em when its color changes, and jumps back afterwards.</dd>
 <dt>Solution</dt>
 <dd>Add lines to modify the <code>margin-left</code> property. Be sure to specify it as <code>marginLeft</code> in JavaScript. The following script achieves the desired result:
 <pre class="brush: js">// JavaScript demonstration
function doDemo (button) {
  var square = document.getElementById("square");
  square.style.backgroundColor = "#fa4";
  square.style.marginLeft = "20em";
  button.setAttribute("disabled", "true");
  setTimeout(clearDemo, 2000, button);
}

function clearDemo (button) {
  var square = document.getElementById("square");
  square.style.backgroundColor = "transparent";
  square.style.marginLeft = "0em";
  button.removeAttribute("disabled");
}

</pre>
 </dd>
</dl>

<h2 id="SVG_and_CSS">SVG and CSS</h2>

<h3 id="Change_color_of_inner_petals">Change color of inner petals</h3>

<dl>
 <dt>Challenge</dt>
 <dd>Change the stylesheet so that the inner petals all turn pink when the mouse pointer is over any one of them, without changing the way the outer petals work.</dd>
 <dt>Solution</dt>
 <dd>Move the position of the :hover pseudo-class from a specific petal, to all petals
 <pre class="brush: css">#inner-petals {
  --segment-fill-fill-hover: pink;
}

/* Non-standard way for some older browsers */
#inner-petals:hover .segment-fill {
  fill: pink;
  stroke: none;
}
</pre>
 </dd>
</dl>
